Send a test webhook ping
POST
/
v1
/
api
/
webhooks
/
{id}
/
test
Send a test webhook ping
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.9squid.com/v1/api/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.9squid.com/v1/api/webhooks/{id}/test"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.9squid.com/v1/api/webhooks/{id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.9squid.com/v1/api/webhooks/{id}/test"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
using RestSharp;
var options = new RestClientOptions("https://api.9squid.com/v1/api/webhooks/{id}/test");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
import Foundation
let parameters = [] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.9squid.com/v1/api/webhooks/{id}/test")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{}")
val request = Request.Builder()
.url("https://api.9squid.com/v1/api/webhooks/{id}/test")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
loan.ingested, loan.qc.passed, loan.qc.failed, loan.qc.exception, loan.updated, loan.repurchase.demanded, pool.created, pool.finalized, pool.stratification.complete, pool.constraint.violated, deal.created, deal.structured, deal.priced, deal.closed, deal.amended, deal.called, ioi.received, subscription.submitted, subscription.confirmed, allocation.finalized, report.generated, report.alm.ready, report.exception.flagged, remittance.received, performance.updated, delinquency.threshold.breached, modification.reported, partner.loan.forwarded, partner.loan.accepted, partner.loan.rejected, partner.loan.securitized, document.uploaded, document.signed, document.expired, user.created, user.deactivated, api_key.rotated, api_key.revoked Response
Test event sent
⌘I
Send a test webhook ping
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.9squid.com/v1/api/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.9squid.com/v1/api/webhooks/{id}/test"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)